Article ID: 795, created on Oct 6, 2008, last review on May 9, 2014

  • Applies to:
  • Plesk for Linux/Unix

Resolution

Error during login to Plesk CP:

Unable to create ComponentsChecker object: Unable to exec utility packagemng:
packagemng: Unable to set UID or GID: Operation not permitted
0: /usr/local/psa/admin/plib/class.ComponentsChecker.php:2 psaerror(string "Unable to
create ComponentsChecker object: Unable to exec utility packagemng: packagemng:
Unable to set UID or GID: Operation not permitted")
.....

If you receive "Unable to set UID or GID" error, mostly, there is a problem with Plesk files' permissions/ownerships. Make sure that /usr/local/psa/admin/sbin/wrapper has right permissions:

ls -sl /usr/local/psa/admin/sbin/wrapper
---s--x--- 1 root psaadm 13048 May 6 14:29 /usr/local/psa/admin/sbin/wrapper


If it is so, try to reinstall the same version of Plesk package that is installed now to fix permissions.

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF